/*
** File: model_boot.h  
** Project: ADMXRC3 module driver
** Purpose: Exports functions for model-specific bootstrapping of the device context.
**
** (C) Copyright Alpha Data 2009-2014
*/

#if !defined(ADATA_ADMXRC3_MODEL_BOOT_H)
#define ADATA_ADMXRC3_MODEL_BOOT_H

#include <df.h>

#include "device.h"

extern void
admxrc3BootstrapGeneric(
  Admxrc3DeviceContext* pDevCtx);

extern void
admxrc3BootstrapAdmxrc2(
  Admxrc3DeviceContext* pDevCtx);

extern void
admxrc3BootstrapAdpexrc5t(
  Admxrc3DeviceContext* pDevCtx);

extern void
admxrc3BootstrapAdmxrc6tl(
  Admxrc3DeviceContext* pDevCtx);

extern void
admxrc3BootstrapAdmxrc6t1(
  Admxrc3DeviceContext* pDevCtx);

extern void
admxrc3BootstrapAdmxrc6tge(
  Admxrc3DeviceContext* pDevCtx);

extern void
admxrc3BootstrapAdmxrc6tadv8(
  Admxrc3DeviceContext* pDevCtx);

extern void
admxrc3BootstrapAdpexrc6t(
  Admxrc3DeviceContext* pDevCtx);

extern void
admxrc3BootstrapAdpexrc6tadv(
  Admxrc3DeviceContext* pDevCtx);

extern void
admxrc3BootstrapAdmxrc6tda1(
  Admxrc3DeviceContext* pDevCtx);

extern void
admxrc3BootstrapAdmxrc7k1(
  Admxrc3DeviceContext* pDevCtx);

extern void
admxrc3BootstrapAdmxrc7v1(
  Admxrc3DeviceContext* pDevCtx);

extern void
admxrc3BootstrapAdmvpx37v2(
  Admxrc3DeviceContext* pDevCtx);

extern void
admxrc3BootstrapAdmpcie7v3(
  Admxrc3DeviceContext* pDevCtx);

extern void
admxrc3BootstrapAdmxrc7z1(
  Admxrc3DeviceContext* pDevCtx);

extern void
admxrc3BootstrapAdmxrc7z2(
  Admxrc3DeviceContext* pDevCtx);

extern void
admxrc3BootstrapAdmxrcku1(
  Admxrc3DeviceContext* pDevCtx);

extern void
admxrc3BootstrapAdmxrcku1at8(
  Admxrc3DeviceContext* pDevCtx);

extern void
admxrc3BootstrapAdmxrcku1P5(
  Admxrc3DeviceContext* pDevCtx);

extern void
admxrc3BootstrapAdmxrcku1P6(
  Admxrc3DeviceContext* pDevCtx);

extern void
admxrc3BootstrapAdmpcieku3(
  Admxrc3DeviceContext* pDevCtx);

extern void
admxrc3BootstrapAdmpcie8v3(
  Admxrc3DeviceContext* pDevCtx);

extern void
admxrc3BootstrapAdmpcie8k5(
  Admxrc3DeviceContext* pDevCtx);

extern void
admxrc3BootstrapAdmad01478(
  Admxrc3DeviceContext* pDevCtx);

extern void
admxrc3BootstrapAdmad01479(
  Admxrc3DeviceContext* pDevCtx);

#endif
